<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <i class="fa fa-globe"></i>{{'monitor.setting.title' | translate}}
          </div>
        <div class="card-body" *ngIf="systems" >
          <div class="row justify-content-between mb-2">
            <div class="col-6">
              <span class="float-left pr-3 show-entity-per-page-label">{{'common.show' | translate}}</span>
              <select (change)="onSearch()" [(ngModel)]="paging.limit" class="form-control float-left"
                      style="max-width: 70px">
                <option *ngFor="let i of PAGING_PER_PAGE" value="{{i.value}}">{{i.label}}</option>
              </select>
            </div>
            <div class="col-2">
              <div class="input-group float-right">
                <input [(ngModel)]="keywordSearch" type="text" class="form-control" placeholder="{{'common.search' | translate}}">
                <div class="input-group-append">
                  <button (click)="onSearch()" class="btn btn-dark" type="button">
                    <i class="fa fa-search"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>

          <form [formGroup]="systemFormGroup">
            <table class="table table-bordered  table-sort-icon">
              <thead>
              <tr appSort [(orderBy)]="order.orderBy" [(orderType)]="order.orderType" (orderChange)="changeOder($event)">
                <th class="text-center" style="width: 4%">{{'monitor.setting.id' | translate}}</th>
                <th appSortBy="datetime" class="text-center">{{'monitor.setting.datetime' | translate}}<fa-icon></fa-icon></th>
                <th appSortBy="user" class="text-center">{{'monitor.setting.user' | translate}}<fa-icon></fa-icon></th>
                <th appSortBy="ip" class="text-center">{{'monitor.setting.ip' | translate}}<fa-icon></fa-icon></th>
                <th appSortBy="action" class="text-center">{{'monitor.setting.action' | translate}}<fa-icon></fa-icon></th>
                <th appSortBy="message" class="text-center">{{'monitor.setting.message' | translate}}<fa-icon></fa-icon></th>
              </tr>
              </thead>
              <tbody formArrayName="data" *ngFor="let system of getFormData.controls; let i=index">
              <tr [formGroupName]="i">
                <td class="text-center">
                  <span>
                     {{i + 1 + paging.offset}}
                  </span>
                </td>
                <td class="text-center">
                  <span>
                    {{system.get('datetime').value}}
                  </span>
                </td>
                <td class="text-left">
                  <span>
                    {{system.get('user_name').value}}
                  </span>
                </td>
                <td class="text-right">
                  <span>
                    {{system.get('ip_address').value}}
                  </span>
                </td>
                <td class="text-left">
                  <span>
                    {{system.get('action').value}}
                  </span>
                </td>
                <td class="text-left">
                  <span>
                    {{system.get('description').value}}
                  </span>
                </td>
              </tr>
              </tbody>
            </table>
          </form>
          <div class="row justify-content-between" *ngIf="systems && systems.length > 0">
            <span class="col-6">{{'common.pagingInfo' | translate : {
              start: paging.offset + 1,
              end: (paging.offset + getFormData.controls.length),
              total: paging.total
            } }}</span>

            <div class="col-6">
              <ngb-pagination class="float-right" [boundaryLinks]="true" [collectionSize]="paging.total"
                              [pageSize]="paging.limit" [maxSize]="5" [rotate]="true" [(page)]="paging.page"
                              (pageChange)="loadPage(paging.page)">
              </ngb-pagination>
            </div>
          </div>
          <div *ngIf="!systems || systems.length === 0" class="text-center">
            <span>{{'common.no_record' | translate}}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
